Pubsub Push
Pub/Sub push 受信(OIDC・Cloud Run platform auth で保護、gateway-origin 除外)。 エンベロープを decode し worker_main.route_message に委譲する(ルーティングの単一真実)。 2xx=ack。UC 例外は伝播させ非2xxで Pub/Sub に再試行/DLQ させる。
POST
/pubsub/pushHeader parameters
authorizationstring | anyRequest body
requiredapplication/jsonmessageobjectdefault: {}
subscriptionstringdefault: ""
Responses
200Successful Response
any422Validation Error
detailValidationError[]Show propertiesHide properties
Array of
ValidationErrorlocstring | integer[]requiredShow propertiesHide properties
Array of
string | integerAny of:
string
stringinteger
integermsgstringrequiredtypestringrequiredRequest
curl -X POST "/pubsub/push" \
-H "Content-Type: application/json" \
-d '{
"message": {},
"subscription": ""
}'const response = await fetch("/pubsub/push", {
method: "POST",
headers: {
"Content-Type": "application/json"
},
body: JSON.stringify({
"message": {},
"subscription": ""
})
});import requests
response = requests.post(
"/pubsub/push",
headers={
"Content-Type": "application/json"
},
json={
"message": {},
"subscription": ""
},
)Response
"string"{
"detail": [
{
"loc": [
"string"
],
"msg": "string",
"type": "string"
}
]
}